package com.mortals.xhx.module.feedback.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.feedback.model.FeedbackEntity;
/**
 * 反馈信息查询对象
 *
 * @author zxfei
 * @date 2023-10-07
 */
public class FeedbackQuery extends FeedbackEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 标题 */
    private List<String> titleList;

    /** 标题排除列表 */
    private List <String> titleNotList;
    /** 内容 */
    private List<String> contentList;

    /** 内容排除列表 */
    private List <String> contentNotList;
    /** 开始 是否公开 (0.否，1.是) */
    private Integer isShowStart;

    /** 结束 是否公开 (0.否，1.是) */
    private Integer isShowEnd;

    /** 增加 是否公开 (0.否，1.是) */
    private Integer isShowIncrement;

    /** 是否公开 (0.否，1.是)列表 */
    private List <Integer> isShowList;

    /** 是否公开 (0.否，1.是)排除列表 */
    private List <Integer> isShowNotList;

    /** 反馈人姓名 */
    private List<String> feedbackNameList;

    /** 反馈人姓名排除列表 */
    private List <String> feedbackNameNotList;
    /** 单位名称 */
    private List<String> companyNameList;

    /** 单位名称排除列表 */
    private List <String> companyNameNotList;
    /** 联系方式 */
    private List<String> contactInfoList;

    /** 联系方式排除列表 */
    private List <String> contactInfoNotList;
    /** 身份证号 */
    private List<String> idCardList;

    /** 身份证号排除列表 */
    private List <String> idCardNotList;
    /** 地址 */
    private List<String> addressList;

    /** 地址排除列表 */
    private List <String> addressNotList;
    /** 邮箱地址 */
    private List<String> emailList;

    /** 邮箱地址排除列表 */
    private List <String> emailNotList;
    /** 开始 是否回复 (0.否，1.是) */
    private Integer replyStart;

    /** 结束 是否回复 (0.否，1.是) */
    private Integer replyEnd;

    /** 增加 是否回复 (0.否，1.是) */
    private Integer replyIncrement;

    /** 是否回复 (0.否，1.是)列表 */
    private List <Integer> replyList;

    /** 是否回复 (0.否，1.是)排除列表 */
    private List <Integer> replyNotList;

    /** 回复人 */
    private List<String> replyPersonList;

    /** 回复人排除列表 */
    private List <String> replyPersonNotList;
    /** 回复 */
    private List<String> replyContentList;

    /** 回复排除列表 */
    private List <String> replyContentNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 反馈类型 (1.建议,2.问题,3.表扬) */
    private Integer feedbackTypeStart;

    /** 结束 反馈类型 (1.建议,2.问题,3.表扬) */
    private Integer feedbackTypeEnd;

    /** 增加 反馈类型 (1.建议,2.问题,3.表扬) */
    private Integer feedbackTypeIncrement;

    /** 反馈类型 (1.建议,2.问题,3.表扬)列表 */
    private List <Integer> feedbackTypeList;

    /** 反馈类型 (1.建议,2.问题,3.表扬)排除列表 */
    private List <Integer> feedbackTypeNotList;

    /** 附件名称，多个逗号分割 */
    private List<String> fileNameList;

    /** 附件名称，多个逗号分割排除列表 */
    private List <String> fileNameNotList;
    /** 附件地址，多个逗号分割 */
    private List<String> filePathList;

    /** 附件地址，多个逗号分割排除列表 */
    private List <String> filePathNotList;
    /** 回复附件名称，多个逗号分割 */
    private List<String> replyFileNameList;

    /** 回复附件名称，多个逗号分割排除列表 */
    private List <String> replyFileNameNotList;
    /** 回复附件地址，多个逗号分割 */
    private List<String> replyFilePathList;

    /** 回复附件地址，多个逗号分割排除列表 */
    private List <String> replyFilePathNotList;
    /** 开始 回复时间 */
    private String replyTimeStart;

    /** 结束 回复时间 */
    private String replyTimeEnd;

    /** 开始 处理人id */
    private Long processIdStart;

    /** 结束 处理人id */
    private Long processIdEnd;

    /** 增加 处理人id */
    private Long processIdIncrement;

    /** 处理人id列表 */
    private List <Long> processIdList;

    /** 处理人id排除列表 */
    private List <Long> processIdNotList;

    /** 处理人名称 */
    private List<String> processNameList;

    /** 处理人名称排除列表 */
    private List <String> processNameNotList;
    /** 开始 处理状态(1.未处理,2.已处理) */
    private Integer processStatusStart;

    /** 结束 处理状态(1.未处理,2.已处理) */
    private Integer processStatusEnd;

    /** 增加 处理状态(1.未处理,2.已处理) */
    private Integer processStatusIncrement;

    /** 处理状态(1.未处理,2.已处理)列表 */
    private List <Integer> processStatusList;

    /** 处理状态(1.未处理,2.已处理)排除列表 */
    private List <Integer> processStatusNotList;

    /** 处理意见 */
    private List<String> processCommentsList;

    /** 处理意见排除列表 */
    private List <String> processCommentsNotList;
    /** 开始 处理时间 */
    private String processTimeStart;

    /** 结束 处理时间 */
    private String processTimeEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FeedbackQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FeedbackQuery> andConditionList;

    public FeedbackQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 标题
     * @return titleList
     */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
     * 设置 标题
     * @param titleList
     */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
     * 获取 标题
     * @return titleNotList
     */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
     * 设置 标题
     * @param titleNotList
     */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
     * 获取 内容
     * @return contentList
     */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
     * 设置 内容
     * @param contentList
     */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
     * 获取 内容
     * @return contentNotList
     */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
     * 设置 内容
     * @param contentNotList
     */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
     * 获取 开始 是否公开 (0.否，1.是)
     * @return isShowStart
     */
    public Integer getIsShowStart(){
        return this.isShowStart;
    }

    /**
     * 设置 开始 是否公开 (0.否，1.是)
     * @param isShowStart
     */
    public void setIsShowStart(Integer isShowStart){
        this.isShowStart = isShowStart;
    }

    /**
     * 获取 结束 是否公开 (0.否，1.是)
     * @return $isShowEnd
     */
    public Integer getIsShowEnd(){
        return this.isShowEnd;
    }

    /**
     * 设置 结束 是否公开 (0.否，1.是)
     * @param isShowEnd
     */
    public void setIsShowEnd(Integer isShowEnd){
        this.isShowEnd = isShowEnd;
    }

    /**
     * 获取 增加 是否公开 (0.否，1.是)
     * @return isShowIncrement
     */
    public Integer getIsShowIncrement(){
        return this.isShowIncrement;
    }

    /**
     * 设置 增加 是否公开 (0.否，1.是)
     * @param isShowIncrement
     */
    public void setIsShowIncrement(Integer isShowIncrement){
        this.isShowIncrement = isShowIncrement;
    }

    /**
     * 获取 是否公开 (0.否，1.是)
     * @return isShowList
     */
    public List<Integer> getIsShowList(){
        return this.isShowList;
    }

    /**
     * 设置 是否公开 (0.否，1.是)
     * @param isShowList
     */
    public void setIsShowList(List<Integer> isShowList){
        this.isShowList = isShowList;
    }

    /**
     * 获取 是否公开 (0.否，1.是)
     * @return isShowNotList
     */
    public List<Integer> getIsShowNotList(){
        return this.isShowNotList;
    }

    /**
     * 设置 是否公开 (0.否，1.是)
     * @param isShowNotList
     */
    public void setIsShowNotList(List<Integer> isShowNotList){
        this.isShowNotList = isShowNotList;
    }


    /**
     * 获取 反馈人姓名
     * @return feedbackNameList
     */
    public List<String> getFeedbackNameList(){
        return this.feedbackNameList;
    }

    /**
     * 设置 反馈人姓名
     * @param feedbackNameList
     */
    public void setFeedbackNameList(List<String> feedbackNameList){
        this.feedbackNameList = feedbackNameList;
    }

    /**
     * 获取 反馈人姓名
     * @return feedbackNameNotList
     */
    public List<String> getFeedbackNameNotList(){
        return this.feedbackNameNotList;
    }

    /**
     * 设置 反馈人姓名
     * @param feedbackNameNotList
     */
    public void setFeedbackNameNotList(List<String> feedbackNameNotList){
        this.feedbackNameNotList = feedbackNameNotList;
    }

    /**
     * 获取 单位名称
     * @return companyNameList
     */
    public List<String> getCompanyNameList(){
        return this.companyNameList;
    }

    /**
     * 设置 单位名称
     * @param companyNameList
     */
    public void setCompanyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
    }

    /**
     * 获取 单位名称
     * @return companyNameNotList
     */
    public List<String> getCompanyNameNotList(){
        return this.companyNameNotList;
    }

    /**
     * 设置 单位名称
     * @param companyNameNotList
     */
    public void setCompanyNameNotList(List<String> companyNameNotList){
        this.companyNameNotList = companyNameNotList;
    }

    /**
     * 获取 联系方式
     * @return contactInfoList
     */
    public List<String> getContactInfoList(){
        return this.contactInfoList;
    }

    /**
     * 设置 联系方式
     * @param contactInfoList
     */
    public void setContactInfoList(List<String> contactInfoList){
        this.contactInfoList = contactInfoList;
    }

    /**
     * 获取 联系方式
     * @return contactInfoNotList
     */
    public List<String> getContactInfoNotList(){
        return this.contactInfoNotList;
    }

    /**
     * 设置 联系方式
     * @param contactInfoNotList
     */
    public void setContactInfoNotList(List<String> contactInfoNotList){
        this.contactInfoNotList = contactInfoNotList;
    }

    /**
     * 获取 身份证号
     * @return idCardList
     */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
     * 设置 身份证号
     * @param idCardList
     */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
     * 获取 身份证号
     * @return idCardNotList
     */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
     * 设置 身份证号
     * @param idCardNotList
     */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
     * 获取 地址
     * @return addressList
     */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
     * 设置 地址
     * @param addressList
     */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }

    /**
     * 获取 地址
     * @return addressNotList
     */
    public List<String> getAddressNotList(){
        return this.addressNotList;
    }

    /**
     * 设置 地址
     * @param addressNotList
     */
    public void setAddressNotList(List<String> addressNotList){
        this.addressNotList = addressNotList;
    }

    /**
     * 获取 邮箱地址
     * @return emailList
     */
    public List<String> getEmailList(){
        return this.emailList;
    }

    /**
     * 设置 邮箱地址
     * @param emailList
     */
    public void setEmailList(List<String> emailList){
        this.emailList = emailList;
    }

    /**
     * 获取 邮箱地址
     * @return emailNotList
     */
    public List<String> getEmailNotList(){
        return this.emailNotList;
    }

    /**
     * 设置 邮箱地址
     * @param emailNotList
     */
    public void setEmailNotList(List<String> emailNotList){
        this.emailNotList = emailNotList;
    }

    /**
     * 获取 开始 是否回复 (0.否，1.是)
     * @return replyStart
     */
    public Integer getReplyStart(){
        return this.replyStart;
    }

    /**
     * 设置 开始 是否回复 (0.否，1.是)
     * @param replyStart
     */
    public void setReplyStart(Integer replyStart){
        this.replyStart = replyStart;
    }

    /**
     * 获取 结束 是否回复 (0.否，1.是)
     * @return $replyEnd
     */
    public Integer getReplyEnd(){
        return this.replyEnd;
    }

    /**
     * 设置 结束 是否回复 (0.否，1.是)
     * @param replyEnd
     */
    public void setReplyEnd(Integer replyEnd){
        this.replyEnd = replyEnd;
    }

    /**
     * 获取 增加 是否回复 (0.否，1.是)
     * @return replyIncrement
     */
    public Integer getReplyIncrement(){
        return this.replyIncrement;
    }

    /**
     * 设置 增加 是否回复 (0.否，1.是)
     * @param replyIncrement
     */
    public void setReplyIncrement(Integer replyIncrement){
        this.replyIncrement = replyIncrement;
    }

    /**
     * 获取 是否回复 (0.否，1.是)
     * @return replyList
     */
    public List<Integer> getReplyList(){
        return this.replyList;
    }

    /**
     * 设置 是否回复 (0.否，1.是)
     * @param replyList
     */
    public void setReplyList(List<Integer> replyList){
        this.replyList = replyList;
    }

    /**
     * 获取 是否回复 (0.否，1.是)
     * @return replyNotList
     */
    public List<Integer> getReplyNotList(){
        return this.replyNotList;
    }

    /**
     * 设置 是否回复 (0.否，1.是)
     * @param replyNotList
     */
    public void setReplyNotList(List<Integer> replyNotList){
        this.replyNotList = replyNotList;
    }


    /**
     * 获取 回复人
     * @return replyPersonList
     */
    public List<String> getReplyPersonList(){
        return this.replyPersonList;
    }

    /**
     * 设置 回复人
     * @param replyPersonList
     */
    public void setReplyPersonList(List<String> replyPersonList){
        this.replyPersonList = replyPersonList;
    }

    /**
     * 获取 回复人
     * @return replyPersonNotList
     */
    public List<String> getReplyPersonNotList(){
        return this.replyPersonNotList;
    }

    /**
     * 设置 回复人
     * @param replyPersonNotList
     */
    public void setReplyPersonNotList(List<String> replyPersonNotList){
        this.replyPersonNotList = replyPersonNotList;
    }

    /**
     * 获取 回复
     * @return replyContentList
     */
    public List<String> getReplyContentList(){
        return this.replyContentList;
    }

    /**
     * 设置 回复
     * @param replyContentList
     */
    public void setReplyContentList(List<String> replyContentList){
        this.replyContentList = replyContentList;
    }

    /**
     * 获取 回复
     * @return replyContentNotList
     */
    public List<String> getReplyContentNotList(){
        return this.replyContentNotList;
    }

    /**
     * 设置 回复
     * @param replyContentNotList
     */
    public void setReplyContentNotList(List<String> replyContentNotList){
        this.replyContentNotList = replyContentNotList;
    }

    /**
     * 获取 开始 所属部门
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 反馈类型 (1.建议,2.问题,3.表扬)
     * @return feedbackTypeStart
     */
    public Integer getFeedbackTypeStart(){
        return this.feedbackTypeStart;
    }

    /**
     * 设置 开始 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeStart
     */
    public void setFeedbackTypeStart(Integer feedbackTypeStart){
        this.feedbackTypeStart = feedbackTypeStart;
    }

    /**
     * 获取 结束 反馈类型 (1.建议,2.问题,3.表扬)
     * @return $feedbackTypeEnd
     */
    public Integer getFeedbackTypeEnd(){
        return this.feedbackTypeEnd;
    }

    /**
     * 设置 结束 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeEnd
     */
    public void setFeedbackTypeEnd(Integer feedbackTypeEnd){
        this.feedbackTypeEnd = feedbackTypeEnd;
    }

    /**
     * 获取 增加 反馈类型 (1.建议,2.问题,3.表扬)
     * @return feedbackTypeIncrement
     */
    public Integer getFeedbackTypeIncrement(){
        return this.feedbackTypeIncrement;
    }

    /**
     * 设置 增加 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeIncrement
     */
    public void setFeedbackTypeIncrement(Integer feedbackTypeIncrement){
        this.feedbackTypeIncrement = feedbackTypeIncrement;
    }

    /**
     * 获取 反馈类型 (1.建议,2.问题,3.表扬)
     * @return feedbackTypeList
     */
    public List<Integer> getFeedbackTypeList(){
        return this.feedbackTypeList;
    }

    /**
     * 设置 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeList
     */
    public void setFeedbackTypeList(List<Integer> feedbackTypeList){
        this.feedbackTypeList = feedbackTypeList;
    }

    /**
     * 获取 反馈类型 (1.建议,2.问题,3.表扬)
     * @return feedbackTypeNotList
     */
    public List<Integer> getFeedbackTypeNotList(){
        return this.feedbackTypeNotList;
    }

    /**
     * 设置 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeNotList
     */
    public void setFeedbackTypeNotList(List<Integer> feedbackTypeNotList){
        this.feedbackTypeNotList = feedbackTypeNotList;
    }


    /**
     * 获取 附件名称，多个逗号分割
     * @return fileNameList
     */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
     * 设置 附件名称，多个逗号分割
     * @param fileNameList
     */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }

    /**
     * 获取 附件名称，多个逗号分割
     * @return fileNameNotList
     */
    public List<String> getFileNameNotList(){
        return this.fileNameNotList;
    }

    /**
     * 设置 附件名称，多个逗号分割
     * @param fileNameNotList
     */
    public void setFileNameNotList(List<String> fileNameNotList){
        this.fileNameNotList = fileNameNotList;
    }

    /**
     * 获取 附件地址，多个逗号分割
     * @return filePathList
     */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
     * 设置 附件地址，多个逗号分割
     * @param filePathList
     */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }

    /**
     * 获取 附件地址，多个逗号分割
     * @return filePathNotList
     */
    public List<String> getFilePathNotList(){
        return this.filePathNotList;
    }

    /**
     * 设置 附件地址，多个逗号分割
     * @param filePathNotList
     */
    public void setFilePathNotList(List<String> filePathNotList){
        this.filePathNotList = filePathNotList;
    }

    /**
     * 获取 回复附件名称，多个逗号分割
     * @return replyFileNameList
     */
    public List<String> getReplyFileNameList(){
        return this.replyFileNameList;
    }

    /**
     * 设置 回复附件名称，多个逗号分割
     * @param replyFileNameList
     */
    public void setReplyFileNameList(List<String> replyFileNameList){
        this.replyFileNameList = replyFileNameList;
    }

    /**
     * 获取 回复附件名称，多个逗号分割
     * @return replyFileNameNotList
     */
    public List<String> getReplyFileNameNotList(){
        return this.replyFileNameNotList;
    }

    /**
     * 设置 回复附件名称，多个逗号分割
     * @param replyFileNameNotList
     */
    public void setReplyFileNameNotList(List<String> replyFileNameNotList){
        this.replyFileNameNotList = replyFileNameNotList;
    }

    /**
     * 获取 回复附件地址，多个逗号分割
     * @return replyFilePathList
     */
    public List<String> getReplyFilePathList(){
        return this.replyFilePathList;
    }

    /**
     * 设置 回复附件地址，多个逗号分割
     * @param replyFilePathList
     */
    public void setReplyFilePathList(List<String> replyFilePathList){
        this.replyFilePathList = replyFilePathList;
    }

    /**
     * 获取 回复附件地址，多个逗号分割
     * @return replyFilePathNotList
     */
    public List<String> getReplyFilePathNotList(){
        return this.replyFilePathNotList;
    }

    /**
     * 设置 回复附件地址，多个逗号分割
     * @param replyFilePathNotList
     */
    public void setReplyFilePathNotList(List<String> replyFilePathNotList){
        this.replyFilePathNotList = replyFilePathNotList;
    }

    /**
     * 获取 开始 回复时间
     * @return replyTimeStart
     */
    public String getReplyTimeStart(){
        return this.replyTimeStart;
    }

    /**
     * 设置 开始 回复时间
     * @param replyTimeStart
     */
    public void setReplyTimeStart(String replyTimeStart){
        this.replyTimeStart = replyTimeStart;
    }

    /**
     * 获取 结束 回复时间
     * @return replyTimeEnd
     */
    public String getReplyTimeEnd(){
        return this.replyTimeEnd;
    }

    /**
     * 设置 结束 回复时间
     * @param replyTimeEnd
     */
    public void setReplyTimeEnd(String replyTimeEnd){
        this.replyTimeEnd = replyTimeEnd;
    }

    /**
     * 获取 开始 处理人id
     * @return processIdStart
     */
    public Long getProcessIdStart(){
        return this.processIdStart;
    }

    /**
     * 设置 开始 处理人id
     * @param processIdStart
     */
    public void setProcessIdStart(Long processIdStart){
        this.processIdStart = processIdStart;
    }

    /**
     * 获取 结束 处理人id
     * @return $processIdEnd
     */
    public Long getProcessIdEnd(){
        return this.processIdEnd;
    }

    /**
     * 设置 结束 处理人id
     * @param processIdEnd
     */
    public void setProcessIdEnd(Long processIdEnd){
        this.processIdEnd = processIdEnd;
    }

    /**
     * 获取 增加 处理人id
     * @return processIdIncrement
     */
    public Long getProcessIdIncrement(){
        return this.processIdIncrement;
    }

    /**
     * 设置 增加 处理人id
     * @param processIdIncrement
     */
    public void setProcessIdIncrement(Long processIdIncrement){
        this.processIdIncrement = processIdIncrement;
    }

    /**
     * 获取 处理人id
     * @return processIdList
     */
    public List<Long> getProcessIdList(){
        return this.processIdList;
    }

    /**
     * 设置 处理人id
     * @param processIdList
     */
    public void setProcessIdList(List<Long> processIdList){
        this.processIdList = processIdList;
    }

    /**
     * 获取 处理人id
     * @return processIdNotList
     */
    public List<Long> getProcessIdNotList(){
        return this.processIdNotList;
    }

    /**
     * 设置 处理人id
     * @param processIdNotList
     */
    public void setProcessIdNotList(List<Long> processIdNotList){
        this.processIdNotList = processIdNotList;
    }


    /**
     * 获取 处理人名称
     * @return processNameList
     */
    public List<String> getProcessNameList(){
        return this.processNameList;
    }

    /**
     * 设置 处理人名称
     * @param processNameList
     */
    public void setProcessNameList(List<String> processNameList){
        this.processNameList = processNameList;
    }

    /**
     * 获取 处理人名称
     * @return processNameNotList
     */
    public List<String> getProcessNameNotList(){
        return this.processNameNotList;
    }

    /**
     * 设置 处理人名称
     * @param processNameNotList
     */
    public void setProcessNameNotList(List<String> processNameNotList){
        this.processNameNotList = processNameNotList;
    }

    /**
     * 获取 开始 处理状态(1.未处理,2.已处理)
     * @return processStatusStart
     */
    public Integer getProcessStatusStart(){
        return this.processStatusStart;
    }

    /**
     * 设置 开始 处理状态(1.未处理,2.已处理)
     * @param processStatusStart
     */
    public void setProcessStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
    }

    /**
     * 获取 结束 处理状态(1.未处理,2.已处理)
     * @return $processStatusEnd
     */
    public Integer getProcessStatusEnd(){
        return this.processStatusEnd;
    }

    /**
     * 设置 结束 处理状态(1.未处理,2.已处理)
     * @param processStatusEnd
     */
    public void setProcessStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
    }

    /**
     * 获取 增加 处理状态(1.未处理,2.已处理)
     * @return processStatusIncrement
     */
    public Integer getProcessStatusIncrement(){
        return this.processStatusIncrement;
    }

    /**
     * 设置 增加 处理状态(1.未处理,2.已处理)
     * @param processStatusIncrement
     */
    public void setProcessStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
    }

    /**
     * 获取 处理状态(1.未处理,2.已处理)
     * @return processStatusList
     */
    public List<Integer> getProcessStatusList(){
        return this.processStatusList;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param processStatusList
     */
    public void setProcessStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
    }

    /**
     * 获取 处理状态(1.未处理,2.已处理)
     * @return processStatusNotList
     */
    public List<Integer> getProcessStatusNotList(){
        return this.processStatusNotList;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param processStatusNotList
     */
    public void setProcessStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
    }


    /**
     * 获取 处理意见
     * @return processCommentsList
     */
    public List<String> getProcessCommentsList(){
        return this.processCommentsList;
    }

    /**
     * 设置 处理意见
     * @param processCommentsList
     */
    public void setProcessCommentsList(List<String> processCommentsList){
        this.processCommentsList = processCommentsList;
    }

    /**
     * 获取 处理意见
     * @return processCommentsNotList
     */
    public List<String> getProcessCommentsNotList(){
        return this.processCommentsNotList;
    }

    /**
     * 设置 处理意见
     * @param processCommentsNotList
     */
    public void setProcessCommentsNotList(List<String> processCommentsNotList){
        this.processCommentsNotList = processCommentsNotList;
    }

    /**
     * 获取 开始 处理时间
     * @return processTimeStart
     */
    public String getProcessTimeStart(){
        return this.processTimeStart;
    }

    /**
     * 设置 开始 处理时间
     * @param processTimeStart
     */
    public void setProcessTimeStart(String processTimeStart){
        this.processTimeStart = processTimeStart;
    }

    /**
     * 获取 结束 处理时间
     * @return processTimeEnd
     */
    public String getProcessTimeEnd(){
        return this.processTimeEnd;
    }

    /**
     * 设置 结束 处理时间
     * @param processTimeEnd
     */
    public void setProcessTimeEnd(String processTimeEnd){
        this.processTimeEnd = processTimeEnd;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public FeedbackQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public FeedbackQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public FeedbackQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public FeedbackQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public FeedbackQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public FeedbackQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 标题
     * @param title
     */
    public FeedbackQuery title(String title){
        setTitle(title);
        return this;
    }

    /**
     * 设置 标题
     * @param titleList
     */
    public FeedbackQuery titleList(List<String> titleList){
        this.titleList = titleList;
        return this;
    }


    /**
     * 设置 内容
     * @param content
     */
    public FeedbackQuery content(String content){
        setContent(content);
        return this;
    }

    /**
     * 设置 内容
     * @param contentList
     */
    public FeedbackQuery contentList(List<String> contentList){
        this.contentList = contentList;
        return this;
    }

    /**
     * 设置  是否公开 (0.否，1.是)
     * @param isShow
     */
    public FeedbackQuery isShow(Integer isShow){
        setIsShow(isShow);
        return this;
    }

    /**
     * 设置 开始 是否公开 (0.否，1.是)
     * @param isShowStart
     */
    public FeedbackQuery isShowStart(Integer isShowStart){
        this.isShowStart = isShowStart;
        return this;
    }

    /**
     * 设置 结束 是否公开 (0.否，1.是)
     * @param isShowEnd
     */
    public FeedbackQuery isShowEnd(Integer isShowEnd){
        this.isShowEnd = isShowEnd;
        return this;
    }

    /**
     * 设置 增加 是否公开 (0.否，1.是)
     * @param isShowIncrement
     */
    public FeedbackQuery isShowIncrement(Integer isShowIncrement){
        this.isShowIncrement = isShowIncrement;
        return this;
    }

    /**
     * 设置 是否公开 (0.否，1.是)
     * @param isShowList
     */
    public FeedbackQuery isShowList(List<Integer> isShowList){
        this.isShowList = isShowList;
        return this;
    }

    /**
     * 设置 是否公开 (0.否，1.是)
     * @param isShowNotList
     */
    public FeedbackQuery isShowNotList(List<Integer> isShowNotList){
        this.isShowNotList = isShowNotList;
        return this;
    }


    /**
     * 设置 反馈人姓名
     * @param feedbackName
     */
    public FeedbackQuery feedbackName(String feedbackName){
        setFeedbackName(feedbackName);
        return this;
    }

    /**
     * 设置 反馈人姓名
     * @param feedbackNameList
     */
    public FeedbackQuery feedbackNameList(List<String> feedbackNameList){
        this.feedbackNameList = feedbackNameList;
        return this;
    }


    /**
     * 设置 单位名称
     * @param companyName
     */
    public FeedbackQuery companyName(String companyName){
        setCompanyName(companyName);
        return this;
    }

    /**
     * 设置 单位名称
     * @param companyNameList
     */
    public FeedbackQuery companyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
        return this;
    }


    /**
     * 设置 联系方式
     * @param contactInfo
     */
    public FeedbackQuery contactInfo(String contactInfo){
        setContactInfo(contactInfo);
        return this;
    }

    /**
     * 设置 联系方式
     * @param contactInfoList
     */
    public FeedbackQuery contactInfoList(List<String> contactInfoList){
        this.contactInfoList = contactInfoList;
        return this;
    }


    /**
     * 设置 身份证号
     * @param idCard
     */
    public FeedbackQuery idCard(String idCard){
        setIdCard(idCard);
        return this;
    }

    /**
     * 设置 身份证号
     * @param idCardList
     */
    public FeedbackQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
        return this;
    }


    /**
     * 设置 地址
     * @param address
     */
    public FeedbackQuery address(String address){
        setAddress(address);
        return this;
    }

    /**
     * 设置 地址
     * @param addressList
     */
    public FeedbackQuery addressList(List<String> addressList){
        this.addressList = addressList;
        return this;
    }


    /**
     * 设置 邮箱地址
     * @param email
     */
    public FeedbackQuery email(String email){
        setEmail(email);
        return this;
    }

    /**
     * 设置 邮箱地址
     * @param emailList
     */
    public FeedbackQuery emailList(List<String> emailList){
        this.emailList = emailList;
        return this;
    }

    /**
     * 设置  是否回复 (0.否，1.是)
     * @param reply
     */
    public FeedbackQuery reply(Integer reply){
        setReply(reply);
        return this;
    }

    /**
     * 设置 开始 是否回复 (0.否，1.是)
     * @param replyStart
     */
    public FeedbackQuery replyStart(Integer replyStart){
        this.replyStart = replyStart;
        return this;
    }

    /**
     * 设置 结束 是否回复 (0.否，1.是)
     * @param replyEnd
     */
    public FeedbackQuery replyEnd(Integer replyEnd){
        this.replyEnd = replyEnd;
        return this;
    }

    /**
     * 设置 增加 是否回复 (0.否，1.是)
     * @param replyIncrement
     */
    public FeedbackQuery replyIncrement(Integer replyIncrement){
        this.replyIncrement = replyIncrement;
        return this;
    }

    /**
     * 设置 是否回复 (0.否，1.是)
     * @param replyList
     */
    public FeedbackQuery replyList(List<Integer> replyList){
        this.replyList = replyList;
        return this;
    }

    /**
     * 设置 是否回复 (0.否，1.是)
     * @param replyNotList
     */
    public FeedbackQuery replyNotList(List<Integer> replyNotList){
        this.replyNotList = replyNotList;
        return this;
    }


    /**
     * 设置 回复人
     * @param replyPerson
     */
    public FeedbackQuery replyPerson(String replyPerson){
        setReplyPerson(replyPerson);
        return this;
    }

    /**
     * 设置 回复人
     * @param replyPersonList
     */
    public FeedbackQuery replyPersonList(List<String> replyPersonList){
        this.replyPersonList = replyPersonList;
        return this;
    }


    /**
     * 设置 回复
     * @param replyContent
     */
    public FeedbackQuery replyContent(String replyContent){
        setReplyContent(replyContent);
        return this;
    }

    /**
     * 设置 回复
     * @param replyContentList
     */
    public FeedbackQuery replyContentList(List<String> replyContentList){
        this.replyContentList = replyContentList;
        return this;
    }

    /**
     * 设置  所属部门
     * @param deptId
     */
    public FeedbackQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public FeedbackQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public FeedbackQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public FeedbackQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public FeedbackQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public FeedbackQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public FeedbackQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public FeedbackQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackType
     */
    public FeedbackQuery feedbackType(Integer feedbackType){
        setFeedbackType(feedbackType);
        return this;
    }

    /**
     * 设置 开始 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeStart
     */
    public FeedbackQuery feedbackTypeStart(Integer feedbackTypeStart){
        this.feedbackTypeStart = feedbackTypeStart;
        return this;
    }

    /**
     * 设置 结束 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeEnd
     */
    public FeedbackQuery feedbackTypeEnd(Integer feedbackTypeEnd){
        this.feedbackTypeEnd = feedbackTypeEnd;
        return this;
    }

    /**
     * 设置 增加 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeIncrement
     */
    public FeedbackQuery feedbackTypeIncrement(Integer feedbackTypeIncrement){
        this.feedbackTypeIncrement = feedbackTypeIncrement;
        return this;
    }

    /**
     * 设置 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeList
     */
    public FeedbackQuery feedbackTypeList(List<Integer> feedbackTypeList){
        this.feedbackTypeList = feedbackTypeList;
        return this;
    }

    /**
     * 设置 反馈类型 (1.建议,2.问题,3.表扬)
     * @param feedbackTypeNotList
     */
    public FeedbackQuery feedbackTypeNotList(List<Integer> feedbackTypeNotList){
        this.feedbackTypeNotList = feedbackTypeNotList;
        return this;
    }


    /**
     * 设置 附件名称，多个逗号分割
     * @param fileName
     */
    public FeedbackQuery fileName(String fileName){
        setFileName(fileName);
        return this;
    }

    /**
     * 设置 附件名称，多个逗号分割
     * @param fileNameList
     */
    public FeedbackQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
        return this;
    }


    /**
     * 设置 附件地址，多个逗号分割
     * @param filePath
     */
    public FeedbackQuery filePath(String filePath){
        setFilePath(filePath);
        return this;
    }

    /**
     * 设置 附件地址，多个逗号分割
     * @param filePathList
     */
    public FeedbackQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
        return this;
    }


    /**
     * 设置 回复附件名称，多个逗号分割
     * @param replyFileName
     */
    public FeedbackQuery replyFileName(String replyFileName){
        setReplyFileName(replyFileName);
        return this;
    }

    /**
     * 设置 回复附件名称，多个逗号分割
     * @param replyFileNameList
     */
    public FeedbackQuery replyFileNameList(List<String> replyFileNameList){
        this.replyFileNameList = replyFileNameList;
        return this;
    }


    /**
     * 设置 回复附件地址，多个逗号分割
     * @param replyFilePath
     */
    public FeedbackQuery replyFilePath(String replyFilePath){
        setReplyFilePath(replyFilePath);
        return this;
    }

    /**
     * 设置 回复附件地址，多个逗号分割
     * @param replyFilePathList
     */
    public FeedbackQuery replyFilePathList(List<String> replyFilePathList){
        this.replyFilePathList = replyFilePathList;
        return this;
    }


    /**
     * 设置  处理人id
     * @param processId
     */
    public FeedbackQuery processId(Long processId){
        setProcessId(processId);
        return this;
    }

    /**
     * 设置 开始 处理人id
     * @param processIdStart
     */
    public FeedbackQuery processIdStart(Long processIdStart){
        this.processIdStart = processIdStart;
        return this;
    }

    /**
     * 设置 结束 处理人id
     * @param processIdEnd
     */
    public FeedbackQuery processIdEnd(Long processIdEnd){
        this.processIdEnd = processIdEnd;
        return this;
    }

    /**
     * 设置 增加 处理人id
     * @param processIdIncrement
     */
    public FeedbackQuery processIdIncrement(Long processIdIncrement){
        this.processIdIncrement = processIdIncrement;
        return this;
    }

    /**
     * 设置 处理人id
     * @param processIdList
     */
    public FeedbackQuery processIdList(List<Long> processIdList){
        this.processIdList = processIdList;
        return this;
    }

    /**
     * 设置 处理人id
     * @param processIdNotList
     */
    public FeedbackQuery processIdNotList(List<Long> processIdNotList){
        this.processIdNotList = processIdNotList;
        return this;
    }


    /**
     * 设置 处理人名称
     * @param processName
     */
    public FeedbackQuery processName(String processName){
        setProcessName(processName);
        return this;
    }

    /**
     * 设置 处理人名称
     * @param processNameList
     */
    public FeedbackQuery processNameList(List<String> processNameList){
        this.processNameList = processNameList;
        return this;
    }

    /**
     * 设置  处理状态(1.未处理,2.已处理)
     * @param processStatus
     */
    public FeedbackQuery processStatus(Integer processStatus){
        setProcessStatus(processStatus);
        return this;
    }

    /**
     * 设置 开始 处理状态(1.未处理,2.已处理)
     * @param processStatusStart
     */
    public FeedbackQuery processStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
        return this;
    }

    /**
     * 设置 结束 处理状态(1.未处理,2.已处理)
     * @param processStatusEnd
     */
    public FeedbackQuery processStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
        return this;
    }

    /**
     * 设置 增加 处理状态(1.未处理,2.已处理)
     * @param processStatusIncrement
     */
    public FeedbackQuery processStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
        return this;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param processStatusList
     */
    public FeedbackQuery processStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
        return this;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param processStatusNotList
     */
    public FeedbackQuery processStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
        return this;
    }


    /**
     * 设置 处理意见
     * @param processComments
     */
    public FeedbackQuery processComments(String processComments){
        setProcessComments(processComments);
        return this;
    }

    /**
     * 设置 处理意见
     * @param processCommentsList
     */
    public FeedbackQuery processCommentsList(List<String> processCommentsList){
        this.processCommentsList = processCommentsList;
        return this;
    }



    /**
     * 设置 备注
     * @param remark
     */
    public FeedbackQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public FeedbackQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public FeedbackQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public FeedbackQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public FeedbackQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public FeedbackQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public FeedbackQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public FeedbackQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public FeedbackQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public FeedbackQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public FeedbackQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public FeedbackQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public FeedbackQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public FeedbackQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<FeedbackQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<FeedbackQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<FeedbackQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<FeedbackQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}